# Class RowActionCheckPipe<RowType>

#### Type Parameters

- RowType extends Record<string, unknown> = Record<string, unknown>

#### Implements

- PipeTransform

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:20

#####
Index

### Constructors

constructor

### Properties

actionMethodList

### Methods

transform

## Constructors

### constructor

- new RowActionCheckPipe<RowType>(tableRowActionMethodList): RowActionCheckPipe<RowType>

- #### Type Parameters

  - RowType extends Record<string, unknown> = Record<string, unknown>

  #### Parameters

  - tableRowActionMethodList: TableRowActionTypeMethod<RowType> | TableRowActionTypeMethod<RowType>[]

  #### Returns RowActionCheckPipe<RowType>

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:25

## Properties

### `Private` `Readonly` actionMethodList

actionMethodList: TableRowActionTypeMethod<RowType>[]

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:23

## Methods

### transform

- transform(value, type): boolean

- #### Parameters

  - value: RowType | RowType[]
  - type: string

  #### Returns boolean

  Implementation of PipeTransform.transform

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/row-action-check.pipe.ts:33